#include "panic.h"
#include "vga.h"

void panic(const char *message) {
  vga_set_color(0x4f);
  vga_blank();
  vga_printsz("Kernel panic: ");
  vga_printsz(message);
  vga_printsz("\nHalting.");
  while (1)
    asm volatile ("hlt");
}