#ifndef PLEF_H
#define PLEF_H

#include <stdint.h>
#include "drive.h"

typedef uint8_t task_handle;

struct plef_header {
  uint32_t magic;
  uint16_t version_low;
  uint16_t version_high;
  uint32_t payload_offset;
  uint32_t payload_length;
  uint32_t bss_length;
  uint32_t entry_point;
} __attribute__ ((packed));

task_handle plef_run(const struct drive *d, const char *path);

#endif