#ifndef TASK_H
#define TASK_H

#include <stdbool.h>
#include <stdint.h>

typedef uint8_t segment_id;
typedef uint8_t task_handle;

segment_id new_segment(bool is_code, uint32_t length, uint32_t *location_out);
segment_id mirror_segment(bool is_code, segment_id other);
task_handle new_task(segment_id cs, segment_id ds, uint32_t eip, uint32_t esp);

#endif