OUTPUT_FORMAT(elf32-i386)
OUTPUT_ARCH(i386)

SECTIONS {
  .ple_head : {
    /*magic*/            LONG(0xb9ba4c50)
    /*version*/          LONG(0x00000000)
    /*payload offset*/   LONG(SIZEOF(.ple_head))
    /*payload length*/   LONG(__pl_length)
    /*bss length*/       LONG(SIZEOF(.bss))
    /*entry point*/      LONG(_entry)
  }
  .text 0 : AT(SIZEOF(.ple_head)) {
    *(.text)
  }
  .rodata : {
    *(.rodata)
  }
  .data : {
    *(.data)
    __pl_length = .;
  }
  .bss ALIGN(0) : {
    *(.bss)
  }
}